Get index segments

  • GET /{index}/_segments
  • GET /_segments
Auth

Get low-level information about the Lucene segments in index shards. For data streams, the API returns information about the stream's backing indices.

Required privileges

Index privileges monitor

Path parameters

index union string | string[] optional

Comma-separated list of data streams, indices, and aliases used to limit the request. Supports wildcards (*). To target all data streams and indices, omit this parameter or use * or _all.

Leave it out to use /_segments.

Query parameters

allow_no_indices boolean · default: true

If false, the request returns an error if any wildcard expression, index alias, or _all value targets only missing or closed indices. This behavior applies even if the request targets other open indices.

expand_wildcards union oneOf · default: open

Type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as open,hidden.

Supported values include:

  • all: Match any data stream or index, including hidden ones.
  • open: Match open, non-hidden indices. Also matches any non-hidden data stream.
  • closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  • hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both.
  • none: Wildcard expressions are not accepted.
Values: all open closed hidden none
ignore_unavailable boolean · default: false

If false, the request returns an error if it targets a missing or closed index.

verbose boolean · default: false

If true, the request returns a verbose response.

Response

application/json
indices map string to object required
<string> object
shards map string to oneOf required
<string> union oneOf
One of:
{} ShardsSegment[]
num_committed_segments number required
routing object required
node string required
primary boolean required
state string required
num_search_segments number required
segments map string to object required
<string> object
attributes map string to string required
committed boolean required
compound boolean required
deleted_docs number required
generation number required
size_in_bytes number required
num_docs number required
version string required
_shards object required
failed number required

The number of shards the operation or search attempted to run on but failed.

successful number required

The number of shards the operation or search succeeded on.

total number required

The number of shards the operation or search will run on overall.

skipped number